Skip to main content

Import project from Zip file

POST 

/nevisadmin/api/v1/projects/file-import

Required permission: MODIFY_PROJECT on the project, or higher scope (If the project already exists.)

Required permission: CREATE_PROJECT on the tenant, or global scope (If the project does not yet exist.)

Creates a new project or overwrites an existing one, with the project data imported on a .zip file.

  • If the project set in the URL already exists, that project will be overwritten with the content of the file sent.
  • If the project set in the URL does not exist, a new project will be created with the content of the file sent.
  • If the tenant key set for the project does not exist, an error will be sent, code "400 Bad request", with the details of the error.

If the call was successful the response code will be '202 Accepted' and the 'Location' header will point to the job that will execute the import. Getting that job will allow you to know the progress and status of the import.

Request

Responses

Import job accepted